shishi_authorize_strcmp(3)

NAME
shishi_authorize_strcmp - API function

SYNOPSIS
#include <shishi.h>

int shishi_authorize_strcmp(Shishi * handle, const char * principal, const char * authzname);

ARGUMENTS

Shishi * handle
    shishi handle allocated by shishi_init().

const char * principal
    string with desired principal name.

const char * authzname
    authorization name.

DESCRIPTION
Authorization of authzname against desired principal according to "basic" authentication, i.e., testing for identical strings.

RETURN VALUE
Returns 1 if authzname is authorized for services by the encrypted principal, and 0 otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.